# SPDX-FileCopyrightText: Siemens AG
# SPDX-License-Identifier: Apache-2.0

---
{{- define "networklistcheck" -}}
{{ $networklist := list }}
{{- range $name, $operator := .Values.operators }}
{{- range $operator.networks }}
{{ $networklist = append $networklist . }}
{{- end }}
{{- end }}

{{- $unetworklist := $networklist | uniq }}
{{- $networkcount := len $networklist }}
{{- $uniquecount := len $unetworklist }}
{{- if ne $networkcount $uniquecount }}
{{ $networkstring := join ", " $networklist }}
{{ "" | required (printf "the networks list %s contains duplicates" $networkstring) }}
{{- end }}
{{- end }}
